package cn.com.qmth.examcloud.task.service.impl;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.reports.api.ExamStudentCountCloudService;
import cn.com.qmth.examcloud.core.reports.api.request.AddOrUpdateExamStudentCountReq;
import cn.com.qmth.examcloud.task.base.online.ActiveDataUtil;
import cn.com.qmth.examcloud.task.base.online.OnlineCount;
import cn.com.qmth.examcloud.task.service.ExamStudentCountService;

@Service
public class ExamStudentCountServiceImpl implements ExamStudentCountService {
	@Autowired
	private ExamStudentCountCloudService examStudentCountCloudService;

	@Override
	public void saveOnlieCount() {
		List<OnlineCount> ret=ActiveDataUtil.getUserCount(null);
		if(ret!=null) {
			AddOrUpdateExamStudentCountReq req=new AddOrUpdateExamStudentCountReq();
			Date now=new Date();
			req.setBatchTime(now.getTime());
			for(OnlineCount oc:ret) {
				req.setRootOrgId(oc.getRootOrgId());
				req.setOrgId(oc.getOrgId());
				req.setExamId(oc.getExamId());
				req.setOnlineCount(oc.getOnlineCount());
				examStudentCountCloudService.addOrUpdateCount(req);
			}
		}
	}

}
